Subject: Re: Discussion about iopa()

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 10 Feb 2007 09:06:20 +1100

On Fri, 2007-02-09 at 12:13 -0500, Dan Malek wrote:
> On Feb 8, 2007, at 4:26 PM, Benjamin Herrenschmidt wrote:
> 
> > I'm really not fan of it.
> 
> That's because I think it's a terribly useful function
> and the first step toward some orthogonal VM APIs. :-)

No, I think it's very inefficient to walk the page tables, even worse if
you have PTEs in HIGHMEM. I think it's better to keep track the physical
address from alloc time, something similar than dma_alloc_coherent but
for use with that MURAM thingy.

Cheers,
Ben.